deepseek-v3.2-speciale API on AvalAI
deepseek-v3.2-specialedeepseek-v3.2-speciale is an AI model from DeepSeek that is available through AvalAI's OpenAI-compatible API.
Use deepseek-v3.2-speciale with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "deepseek-v3.2-speciale", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="deepseek-v3.2-speciale",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "deepseek-v3.2-speciale",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Assistant prefill
- Function calling
- Prompt caching
- Reasoning
- Tool choice
deepseek-v3.2-speciale rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 3 | 40,000 |
| Tier 1 | 250 | 500,000 |
| Tier 2 | 500 | 1,000,000 |
| Tier 3 | 1,500 | 2,000,000 |
| Tier 4 | 2,500 | 3,000,000 |
| Tier 5 | 3,500 | 5,000,000 |
Related models
Frequently asked questions
What is the deepseek-v3.2-speciale API on AvalAI?
Create an AvalAI API key and send the model ID deepseek-v3.2-speciale to one of the supported endpoints shown on this page.
How much does the deepseek-v3.2-speciale API cost on AvalAI?
The deepseek-v3.2-speciale API on AvalAI costs $0.28 per 1M input tokens and $0.42 per 1M output tokens.
What is the token cost for deepseek-v3.2-speciale?
Current AvalAI pricing for deepseek-v3.2-speciale is $0.28 / 1M tokens for input and $0.42 / 1M tokens for output.
What is the deepseek-v3.2-speciale context window?
The recorded maximum input context for deepseek-v3.2-speciale is 163,840 tokens.
What are the rate limits for deepseek-v3.2-speciale on AvalAI?
On tier 5, deepseek-v3.2-speciale on AvalAI supports up to 3,500 requests per minute and 5,000,000 tokens per minute.
What features does deepseek-v3.2-speciale support on AvalAI?
deepseek-v3.2-speciale on AvalAI supports Assistant prefill, Function calling, Prompt caching, Reasoning, Tool choice.
What account tier is required to use deepseek-v3.2-speciale on AvalAI?
Calling deepseek-v3.2-speciale on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)